Steffen Müller > Perl-APIReference > Perl::APIReference

Download:
Perl-APIReference-0.18.tar.gz

Dependencies

Annotate this POD

CPAN RT

New  1
Open  0
View/Report Bugs
Module Version: 0.18   Source  

NAME ^

Perl::APIReference - Programmatically query the perlapi

SYNOPSIS ^

  use Perl::APIReference;
  my $api = Perl::APIReference->new(perl_version => '5.18.2');
  my $api_index_hash = $api->index;

DESCRIPTION ^

This module allows accessing the perlapi documentation for multiple releases of perl as an index (a hash).

Currently, the stable releases perl 5.20.0-1, 5.18.0-2, 5.16.0-3, 5.14.0-3, 5.12.0-4, 5.10.0-1, 5.8.0-9, and 5.6.0-2 are supported. To add support for another release, simply send me the release's perlapi.pod via email or via an RT ticket and I'll add it in the next release.

API docs for development releases may be dropped from the distribution at any time. The general policy on this is to try and ship the APIs for the newest development release.

METHODS ^

new

Constructor. Takes the perl_version argument which specifies the version of the perlapi that you want to use. The version has to be in the form 5.008009 to indicate perl 5.8.9. For the initial releases in a new family (5.10.0, etc), the shortened forms 5.010 and 5.01 can be used.

Special perl_version settings are newest and newest_devel which correspond to the newest available stable and experimental perl API versions.

index

Returns the index of perlapi entries and their documentation as a hash reference.

perl_version

Returns the API object's perl version. Possibly normalized to the floating point form (version->new($version)->numify()).

as_yaml_calltips

Dumps the index as a YAML file in the format used by the Padre calltips. Requires YAML::Tiny.

SEE ALSO ^

perlapi

Perl::APIReference::Generator

Padre

AUTHOR ^

Steffen Mueller, <smueller@cpan.org>

COPYRIGHT AND LICENSE ^

Copyright (C) 2009, 2010, 2011, 2012, 2013, 2014 by Steffen Mueller

This library is free software; you can redistribute it and/or modify it under the same terms as Perl itself, either Perl version 5.6.0 or, at your option, any later version of Perl 5 you may have available.

syntax highlighting: